package com.rjconsultores.ventaboletos.constantes;

public enum ContanteTipoComprovante {
	

	OCD_ESTORNO(1,"OCD ESTORNO"),
	OCD_PUNTO_VENTA_ESTONO(2,"OCD ESTORNO COM PUNTO VENTA ESTORNO"),
	OCD_ESTORNO_CREDITO(3,"OCD ESTORNO CREDITO"),
	DEVOLUCAO(4,"DEVOLUÇÃO"),
	REMARCACAO(5,"REMARCAÇÃO");
//	CANCELAMENTO(4,"CANCELAMENTO"),
//	DEVOLUCAO(5,"DEVOLUÇÃO"),
//	OCD_REEMBOLSO(6,"OCD REEMBOLSO"),
//	SOLICITACAO_ESTORNO(7,"SOLICITAÇÃO ESTORNO");
	
	private Integer id;
	private String descricao;

	private ContanteTipoComprovante(Integer id,String descricao) {
		this.id=id;
		this.descricao = descricao;
	}
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public String getDescricao() {
		return descricao;
	}
	
	public static ContanteTipoComprovante buscarContanteTipoComprovantePorId(Integer contanteTipoComprovanteId) {
		if(contanteTipoComprovanteId == null) {
			return null;
		}
		for (ContanteTipoComprovante item : ContanteTipoComprovante.values()) {
			if(item.getId() == contanteTipoComprovanteId) {
				return item;				
			}
		}		
		return null;		
	}
	
	@Override
	public String toString() {
		return getDescricao();
	}	

}
